" textobj-lastchange - Text object for the last changed text
" Version: 0.0.0
" Copyright (C) 2009 kana <http://whileimautomaton.net/>
" License: MIT license  {{{
"     Permission is hereby granted, free of charge, to any person obtaining
"     a copy of this software and associated documentation files (the
"     "Software"), to deal in the Software without restriction, including
"     without limitation the rights to use, copy, modify, merge, publish,
"     distribute, sublicense, and/or sell copies of the Software, and to
"     permit persons to whom the Software is furnished to do so, subject to
"     the following conditions:
"
"     The above copyright notice and this permission notice shall be included
"     in all copies or substantial portions of the Software.
"
"     THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
"     OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
"     MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
"     IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
"     CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
"     TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
"     SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
" }}}

if exists('g:loaded_textobj_lastchange')
  finish
endif

let s:original_cpoptions = &cpoptions
set cpoptions&vim




nnoremap <Plug>(textobj-lastchange)  `[v`]
vnoremap <Plug>(textobj-lastchange)  :<C-u>normal! gv`[o`]<Enter>
onoremap <Plug>(textobj-lastchange)  :<C-u>normal! `[v`]<Enter>

if !exists('g:textobj_lastchange_no_key_mapping')
  silent! map <unique> gc  <Plug>(textobj-lastchange)
endif




let &cpoptions = s:original_cpoptions

let g:loaded_textobj_lastchange = !0

" __END__
" vim: foldmethod=marker
